Bug 392221 - vfontmap points to old sazanami mincho/gothic location
vfontmap points to old sazanami mincho/gothic location
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-20 08:28 EST by Takanori MATSUURA
Modified: 2013-07-02 19:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:17:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
diff. of vfontmap (2.50 KB, patch)
2007-11-20 08:28 EST, Takanori MATSUURA
no flags Details | Diff
more vfontmap update (1005 bytes, patch)
2007-11-21 01:55 EST, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description Takanori MATSUURA 2007-11-20 08:28:56 EST
The sazanami mincho and sazanami gothic fonts are now located to
/usr/share/fonts/sazanami-fonts-mincho and
/usr/share/fonts/sazanami-fonts-gothic respectively. So vfontmap file should be
Comment 1 Takanori MATSUURA 2007-11-20 08:28:56 EST
Created attachment 264901 [details]
diff. of vfontmap
Comment 2 Jindrich Novy 2007-11-20 09:47:12 EST
Fixed in rawhide for now. Thanks!
Comment 3 CHIKAMA Masaki 2007-11-21 01:55:49 EST
Created attachment 265711 [details]
more vfontmap update

update for chinese and korean font path
Comment 4 CHIKAMA Masaki 2007-11-21 01:57:54 EST
Ugh... lost comment.

There is the same problem for Chinese and Korean font, isn't it?
Comment 5 Takanori MATSUURA 2007-11-21 02:11:47 EST
(In reply to comment #4)
Yes. You are right.

Jindrich, Could you also apply the attachment 265711 [details] for Chinese and Korean font
Comment 6 Jindrich Novy 2007-11-21 05:40:33 EST
Ok, I updated the Chinese/Korean font paths as well in rawhide. Thanks again :)
Comment 7 CHIKAMA Masaki 2007-11-21 21:13:21 EST
The sazanami fonts are now provided by sazanami-fonts-{gothic|mincho}
packages, but tetex-xdvi sub package only requires fonts-japanese package.
(... Chinese/Korean ?)

How should we handle this?
Simply add "Requires" ?

Moreover, /usr/share/ghostscript/conf.d/cidfmap.ja is provided by fonts-japanese
but the sazanami fonts described in are not provided by it.

Should I file a new bug ? Should we discuss about this somewhere ?
Comment 8 Jindrich Novy 2007-11-22 08:04:14 EST
Masaki, yes, it looks like a bug to me that the sazanami fonts are missing from
fonts-japanese package. If not, you will at least learn why not, so it's
definitely worth filing a bug against fonts-japanese. Feel free to Cc me in case
you think it could affect tetex packaging.

General practise is to not to strictly require bits that are not required for
the essential package functionality to reduce dependency bloat. Note that tetex
doesn't Require: fonts-japanese and assumes user demanding functional japanese
support will additionally install fonts-japanese. The same situation is the
chinese support.

It's not ideal, but as far as I know, rpm still doesn't support soft "Suggests:"
dependencies which should be used to handle exactly these cases.
Comment 9 Mamoru TASAKA 2007-11-22 08:24:43 EST
(In reply to comment #7)
> Moreover, /usr/share/ghostscript/conf.d/cidfmap.ja is provided by fonts-japanese
> but the sazanami fonts described in are not provided by it.
> Should I file a new bug ? Should we discuss about this somewhere ?

[root@dhcp158 ~]# rpm -q fonts-japanese
[root@dhcp158 ~]# rpm -q --requires fonts-japanese
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

Comment 10 CHIKAMA Masaki 2007-11-22 09:15:06 EST
(In reply to comment #9)
Thank you. I'm wrong.
Then the fonts-japanese always provide default Gothic and 
Mincho fonts, and current default is sazanami. 
If default changes, it also changes related files in fonts-japanese package.
Is my understanding correct?
Comment 11 Mamoru TASAKA 2007-11-22 10:11:50 EST
(In reply to comment #10)
> (In reply to comment #9)
> If default changes, it also changes related files in fonts-japanese package.
> Is my understanding correct?
Comment 12 CHIKAMA Masaki 2007-12-11 08:21:45 EST
How about moving vfontmap file to fonts-japanese package ?

Thanks to grate efforts of maintainers, Japanese Fedora user
can have a special support of Japanese TeX.
But how about Chinese, Korean, Thai and Vietnam ?
I suppose they are using their own domestic TeX packages
which are not yet merged in Fedora.
Even if tetex (and texlive) package includes vfontmap 
which has Chinese and Korean font path, no one use it.

I also think that current Japanese TeX support is a temporal
solution for TeX i18n. There are some effort to add UTF8 support
to ptex, but they are experimental and will not be main stream
because it is only adding "Japanese UTF8"(or limited C and K)

Of course, current Japanese TeX support is good and I have no objection.
Comment 13 Takanori MATSUURA 2007-12-11 20:39:46 EST
(In reply to comment #12)
> How about moving vfontmap file to fonts-japanese package ?

I don't think vfontmap file have to move to fonts-japanese. The file is required
only by pxdvi now and the file also have information other than Japanese.

xdvi-jp cleanup project (http://xdvi.sourceforge.jp/index.en.html) seems to have
a plan to change the tratment of vfontmap to be more generalized (or share to
cid-x.map in dvipdfmx) and to change the file name. So I think the best solution
now is "keep vfontmap as is".

> Chinese, Korean, Thai and Vietnam
> UTF-8 support

I don't know about the localization in Chinese, Korean, Thai and Vietnam. Are
they interested in adding their language support to Fedora texlive? If so, they
should prepare the reference implementation and propose to this bugzilla.

I work for pTeX support for Fedora TeXLive as I want to be happy and some users
may also be happy. I have proposed the reference implementation and Jindrich has
kindly accepted it.

Of cource I know some examinations to support UTF-8 in pTeX. But they are now in
"work in progress" or "experimental" stage. We should balance stability with
adventure. But I'm interested in them.
Comment 14 Bug Zapper 2008-11-26 03:36:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 15 Bug Zapper 2009-01-09 00:17:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.